| fgl-5.4.2.0: Martin Erwig's Functional Graph Library | Source code | Contents | Index
Data.Graph.Inductive.Query.SP
Synopsis
spTree :: (Graph gr, Real b) => Node -> gr a b -> LRTree b
spLength :: (Graph gr, Real b) => Node -> Node -> gr a b -> b
sp :: (Graph gr, Real b) => Node -> Node -> gr a b -> Path
dijkstra :: (Graph gr, Real b) => Heap b (LPath b) -> gr a b -> LRTree b
Documentation
spTree :: (Graph gr, Real b) => Node -> gr a b -> LRTree b | Source
spLength :: (Graph gr, Real b) => Node -> Node -> gr a b -> b | Source
sp :: (Graph gr, Real b) => Node -> Node -> gr a b -> Path | Source
dijkstra :: (Graph gr, Real b) => Heap b (LPath b) -> gr a b -> LRTree b | Source
Implementation of Dijkstra's shortest path algorithm
Produced by Haddock version 0.9